package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcFeedback;
import org.dromara.system.domain.bo.FeedbackSubmitBo;
import org.dromara.system.domain.bo.TblDzbcFeedbackBo;
import org.dromara.system.domain.vo.TblDzbcFeedbackVo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

public interface ITblDzbcFeedbackService {

    TblDzbcFeedbackVo queryById(Long id);

    TableDataInfo<TblDzbcFeedbackVo> queryPageList(TblDzbcFeedbackBo bo, PageQuery pageQuery);

    List<TblDzbcFeedbackVo> queryList(TblDzbcFeedbackBo bo);

    List<TblDzbcFeedbackVo> queryByUserId(Long userId);

    TblDzbcFeedbackVo submit(FeedbackSubmitBo bo);

    Boolean insertByBo(TblDzbcFeedbackBo bo);

    Boolean updateByBo(TblDzbcFeedbackBo bo);

    Boolean reply(Long id, String replyContent);

    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
